
package hmmerws;

import integratedtoolkit.types.annotations.Constraints;
import integratedtoolkit.types.annotations.Method;
import integratedtoolkit.types.annotations.Service;
import integratedtoolkit.types.annotations.Parameter;
import integratedtoolkit.types.annotations.Parameter.Direction;
import integratedtoolkit.types.annotations.Parameter.Type;


public interface HMMPfamItf {

	@Constraints(storageElemSize = 0.5f)
	@Method(declaringClass = "hmmerws.HMMPfamImpl")
	String hmmpfam(
		@Parameter(type = Type.STRING, direction = Direction.IN)
		String hmmpfamBin,
		@Parameter(type = Type.STRING, direction = Direction.IN)
		String commandLineArgs,
		@Parameter(type = Type.FILE, direction = Direction.IN)
		String seqFile,
		@Parameter(type = Type.FILE, direction = Direction.IN)
		String dbFile
	);

	@Service(namespace = "http://hmmerobj.worker", name = "HmmerObjects", port = "HmmerObjectsPort")
	String scoreRatingSameDB(
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile1,
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile2
	);

	@Service(namespace = "http://hmmerobj.worker", name = "HmmerObjects", port = "HmmerObjectsPort")
	String scoreRatingSameSeq(
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile1,
		@Parameter(type = Type.OBJECT, direction = Direction.IN)
		String resultFile2,
		@Parameter(type = Type.INT, direction = Direction.IN)
		int aLimit
	);
}
